/*
 * @file
 * Styles for the input file component.
 */
:where(.rtds-input) input[type="file"] {
    width: 100%;
}
::file-selector-button {
    font-size: var(--fontsize-text-lg);
    letter-spacing: 0.025em;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-timing-function: cubic-bezier(0, 0, 0.2, 1);
    display: inline-flex;
    justify-content: center;
    align-items: center;
    gap: var(--spacing-1);
    padding-left: var(--spacing-4);
    padding-right: var(--spacing-4);
    padding-top: var(--spacing-3);
    padding-bottom: var(--spacing-3);
    border-radius: 0.375rem;
    line-height: 1;
    font-weight: 700;
    transition-property: all;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-duration: 200ms;
    transition-timing-function: cubic-bezier(0, 0, 0.2, 1);
    border-width: 1px;
        background-color: var(--color-button-secondary);
        border-color: var(--color-button-secondary);
    --tw-text-opacity: 1;
    color: rgb(255 255 255 / var(--tw-text-opacity, 1));
}
::file-selector-button:hover {
        background-color: var(--color-button-secondary-hover);
        border-color: var(--color-button-secondary-hover);
    }
::file-selector-button:focus {
        background-color: var(--color-button-secondary-hover);
        border-color: var(--color-button-secondary-hover);
    }
::file-selector-button:active {
        background-color: var(--color-button-secondary-active);
        border-color: var(--color-button-secondary-active);
    }
[disabled]::file-selector-button {
        background-color: var(--color-background-02);
        color: var(--color-button-disabled);
        border-color: var(--color-background-02);
        cursor: not-allowed;
    }
[aria-disabled="true"]::file-selector-button {
        background-color: var(--color-background-02);
        color: var(--color-button-disabled);
        border-color: var(--color-background-02);
        cursor: not-allowed;
    }
.rtds-dialog__actions ::file-selector-button {
    flex: 1 1 0%;
}
@media (min-width: 1024px) {
    .rtds-dialog__actions ::file-selector-button {
        flex: none;
    }
}
::file-selector-button {
    margin-right: var(--spacing-4);
    cursor: pointer;
    display: inline-flex;
    gap: var(--spacing-1);
    border-radius: 0.375rem;
    border-width: 1px;
    padding-top: var(--spacing-3);
    padding-bottom: var(--spacing-3);
    font-size: var(--fontsize-text-lg);
    font-weight: 700;
    line-height: 1;
    letter-spacing: 0.025em;
    transition-property: all;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-duration: 200ms;
    transition-timing-function: cubic-bezier(0, 0, 0.2, 1);
    justify-content: center;
    align-items: center;
    padding-left: var(--spacing-4);
    padding-right: var(--spacing-4);
}
/*:where(.rtds-input) input[type="file"]::before {
}*/
:where(.rtds-input--sm) ::file-selector-button {
    gap: var(--spacing-0-5);
    font-size: var(--fontsize-text-sm);
}
:where(.rtds-input--sm) :where(.rtds-btn--icon)::file-selector-button,:where(.rtds-input--sm) :where(.rtds-btn--icon-square)::file-selector-button {
    width: var(--spacing-6);
    height: var(--spacing-6);
}
:where(.rtds-input--sm) :where(.rtds-btn--icon-right)::file-selector-button,:where(.rtds-input--sm) :where(.rtds-btn--icon-left)::file-selector-button {
    gap: var(--spacing-1-5);
}
:where(.rtds-input--sm) :where(.rtds-btn--icon-right)::file-selector-button {
    padding-right: var(--spacing-3);
}
:where(.rtds-input--sm) :where(.rtds-btn--icon-left)::file-selector-button {
    padding-left: var(--spacing-3);
}
:where(.rtds-input--sm) :where(.rtds-btn--icon)::file-selector-button,:where(.rtds-input--sm) :where(.rtds-btn--icon-square)::file-selector-button {
    padding-left: var(--spacing-0);
    padding-right: var(--spacing-0);
}
:where(.rtds-input--lg) ::file-selector-button {
    padding-left: var(--spacing-6);
    padding-right: var(--spacing-6);
    font-size: var(--fontsize-text-xl);
    gap: var(--spacing-2);
    padding-top: var(--spacing-3);
    padding-bottom: var(--spacing-3);
}
:where(.rtds-input--lg) :where(.rtds-btn--icon)::file-selector-button,:where(.rtds-input--lg) :where(.rtds-btn--icon-square)::file-selector-button {
    height: var(--spacing-12);
    width: var(--spacing-12);
}
:where(.rtds-input--lg) :where(.rtds-btn--icon-right)::file-selector-button {
    padding-right: var(--spacing-4);
}
:where(.rtds-input--lg) :where(.rtds-btn--icon-left)::file-selector-button {
    padding-left: var(--spacing-4);
}
:where(.rtds-input--lg) :where(.rtds-btn--icon)::file-selector-button,:where(.rtds-input--lg) :where(.rtds-btn--icon-square)::file-selector-button {
    padding-left: var(--spacing-0);
    padding-right: var(--spacing-0);
}
